%global _empty_manifest_terminate_build 0
Name:           python-nodeenv
Version:        1.9.1
Release:        1
Summary:        Node.js virtual environment builder
License:        BSD
URL:            https://github.com/ekalinin/nodeenv
Source0:        https://files.pythonhosted.org/packages/48/92/8e83a37d3f4e73c157f9fcf9fb98ca39bd94701a469dc093b34dca31df65/nodeenv-%{version}.tar.gz
BuildArch:      noarch
%description
Node.js virtual environment builder.

%package -n python3-nodeenv
Summary:        Node.js virtual environment builder
Provides:       python-nodeenv
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-pytest
%description -n python3-nodeenv
Node.js virtual environment builder.

%package help
Summary:        Node.js virtual environment builder
Provides:       python3-nodeenv-doc
%description help
Node.js virtual environment builder.

%prep
%autosetup -n nodeenv-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-nodeenv -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jun 20 2024 liuzhilin <liuzhilin@kylinos.cn> - 1.9.1-1
- Upgrade package to version 1.9.1
- Windows related fix `#207 <https://github.com/ekalinin/nodeenv/pull/207>`
- Fixed url for arm64 `#210 <https://github.com/ekalinin/nodeenv/pull/210>`
- Fixed fish support `#212 <https://github.com/ekalinin/nodeenv/pull/212>`

* Sun Jul 2 2023 Dongxing Wang <dxwangk@isoftstone.com> - 1.8.0-1
- Upgrade package to version 1.8.0

* Mon Nov 7 2022 hkgy <kaguyahatu@outlook.com> - 1.7.0-1
- Upgrade to v1.7.0

* Wed May 18 2022 OpenStack_SIG <openstack@openeuler.org> - 1.6.0-1
- Upgrade package python3-nodeenv to version 1.6.0

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.5.0-2
- DESC: delete -S git from %autosetup

* Mon Jul 26 2021 OpenStack_SIG <openstack@openeuler.org> - 1.5.0-1
- Package Spec generate
